Listar actividades comerciales de una empresa, contacto u oportunidad
curl --request GET \
--url https://api.raul.ugps.io/api/v1/sales/activities \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.raul.ugps.io/api/v1/sales/activities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.raul.ugps.io/api/v1/sales/activities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"activities": [
{
"activity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"activity_type": "nota",
"occurred_at": "2023-11-07T05:31:56Z",
"outcome": "<string>",
"content": "<string>",
"content_truncated": true,
"origin": "registro",
"contact": {
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"participants": [
{
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"opportunity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quote_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"file_count": 1
}
],
"pagination": {
"total": 1,
"page": 2,
"limit": 25,
"total_pages": 1,
"has_more": true
}
}Sales Activities
Listar actividades comerciales de una empresa, contacto u oportunidad
Devuelve fecha, tipo, resultado, contenido y participantes de las actividades del registro indicado, de la más reciente a la más antigua.
GET
/
api
/
v1
/
sales
/
activities
Listar actividades comerciales de una empresa, contacto u oportunidad
Authorizations
Token de sesión Better Auth para rutas de backoffice; las rutas de portal usan su token propio.
Query Parameters
Empresa cliente
Contacto vinculado o participante
Oportunidad
Factura
Available options:
nota, whatsapp, correo, linkedin, llamada, reunion Desde (inclusive), RFC 3339 con offset
Hasta (inclusive), RFC 3339 con offset
Required range:
x >= 1Required range:
1 <= x <= 50